Last Comment Bug 760998 - [compare-locale] Error on crashreporter.ini with MPL2 boilerplate followed by empty line
: [compare-locale] Error on crashreporter.ini with MPL2 boilerplate followed by...
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: Infrastructure (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Axel Hecht [:Pike]
:
:
Mentors:
Depends on:
Blocks: 865001
  Show dependency treegraph
 
Reported: 2012-06-03 10:24 PDT by Francesco Lodolo [:flod] (mostly out of office until Dec 19)
Modified: 2013-04-25 08:19 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Francesco Lodolo [:flod] (mostly out of office until Dec 19) 2012-06-03 10:24:42 PDT
Italian file
http://hg.mozilla.org/l10n-central/it/file/c7bee6ec8ca3/toolkit/crashreporter/crashreporter.ini

compare-locales generates this error

Unparsed content "; This Source Code Form is subject to the terms of the Mozilla Public ; License, v. 2.0. If a copy of the MPL was not distributed with this ; file, You can obtain one at http://mozilla.org/MPL/2.0/. [Strings]" at 0-209

Adding this comment makes the error disappears
# This file is in the UTF-8 encoding
Comment 1 Axel Hecht [:Pike] 2012-06-03 10:56:36 PDT
My suspicion is that http://hg.mozilla.org/l10n/compare-locales/file/f4effbecaaec/lib/Mozilla/Parser.py#l355 doesn't allow the empty line in that constellation.

Path to fix would be to mimic the tests in http://hg.mozilla.org/l10n/compare-locales/file/f4effbecaaec/lib/Mozilla/tests/unitProperties.py, verify that it breaks, and then patch.

In other words, this is a nice patch for someone to start hacking on compare-locales.
Comment 3 Axel Hecht [:Pike] 2012-06-07 04:27:23 PDT
http://hg.mozilla.org/l10n/compare-locales/rev/98efaa127844, FIXED.

I also updated the seamonkey runs for central and aurora.

Note You need to log in before you can comment on or make changes to this bug.